com.mysql.cj.protocol

## Interface MessageHeader

    public interface MessageHeader

Represents the protocol specific message header

### Method Summary

All Methods Instance Methods Abstract Methods
`ByteBuffer` `getBuffer()`
`byte` `getMessageSequence()`
`int` `getMessageSize()`

### Method Detail

#### getBuffer

    ByteBuffer getBuffer()

#### getMessageSize

    int getMessageSize()

#### getMessageSequence

    byte getMessageSequence()

Copyright © 2016, 2024, Oracle and/or its affiliates.